Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIPanelMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractPanelMenu
                      org.richfaces.component.UIPanelMenu

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.event.ItemChangeSource

    @Generated(value={"RichFaces CDK","4.2.1.Final"})
    public class UIPanelMenu

extends AbstractPanelMenu
implements javax.faces.component.behavior.ClientBehaviorHolder

The <rich:panelMenu> component is used in conjunction with <rich:panelMenuItem> and <rich:panelMenuGroup> to create an expanding, hierarchical menu. The <rich:panelMenu> component's appearance can be highly customized, and the hierarchy can stretch to any number of sub-levels.

Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UIPanelMenu.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIPanelMenu()`

Method Summary
`String` | `getCollapseEvent()` The mouse event used for collapsing.
`String` | `getDefaultEventName()`
`Collection<String>` | `getEventNames()`
`String` | `getExpandEvent()` The mouse event used for expansion.
`String` | `getFamily()`
`String` | `getGroupClass()` Space-separated list of CSS style class(es) to be applied to panel menu groups
`String` | `getGroupDisabledClass()` Space-separated list of CSS style class(es) to be applied to disabled panel menu groups
`org.richfaces.PanelMenuMode` | `getGroupMode()` Mode used for expanding/collapsing groups: client (default), ajax, server
`javax.el.MethodExpression` | `getItemChangeListener()` MethodExpression representing an panel menu item selection method that will be notified when the panel menu item is selected.
`String` | `getItemClass()` Space-separated list of CSS style class(es) to be applied to the panel menu items.
`String` | `getItemDisabledClass()` Space-separated list of CSS style class(es) to be applied to disables panel menu items.
`org.richfaces.PanelMenuMode` | `getItemMode()` The mode user for selecting items: client, ajax (default), server
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTopGroupClass()` Space-separated list of CSS style class(es) to be applied to top-level panel menu groups
`String` | `getTopGroupDisabledClass()` Space-separated list of CSS style class(es) to be applied to disabled top-level panel menu groups
`String` | `getTopItemClass()` Space-separated list of CSS style class(es) to be applied to top-level panel menu items
`String` | `getTopItemDisabledClass()` Space-separated list of CSS style class(es) to be applied to disabled top-level panel menu items
`String` | `getWidth()` The width of the panel menu in pixels.
`boolean` | `isBubbleSelection()` If true (default), selection of any item of group will cause selection of groups - predecessors - in the hierarchy.
`boolean` | `isDisabled()` Disables all panel menu items and groups.
`boolean` | `isExpandSingle()` If true (default), only one group can be expanded at the time.
`void` | `setBubbleSelection(boolean bubbleSelection)`
`void` | `setCollapseEvent(String collapseEvent)`
`void` | `setDisabled(boolean disabled)`
`void` | `setExpandEvent(String expandEvent)`
`void` | `setExpandSingle(boolean expandSingle)`
`void` | `setGroupClass(String groupClass)`
`void` | `setGroupDisabledClass(String groupDisabledClass)`
`void` | `setGroupMode(org.richfaces.PanelMenuMode groupMode)`
`void` | `setItemChangeListener(javax.el.MethodExpression itemChangeListener)`
`void` | `setItemClass(String itemClass)`
`void` | `setItemDisabledClass(String itemDisabledClass)`
`void` | `setItemMode(org.richfaces.PanelMenuMode itemMode)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTopGroupClass(String topGroupClass)`
`void` | `setTopGroupDisabledClass(String topGroupDisabledClass)`
`void` | `setTopItemClass(String topItemClass)`
`void` | `setTopItemDisabledClass(String topItemDisabledClass)`
`void` | `setWidth(String width)`

Methods inherited from class org.richfaces.component.AbstractPanelMenu
`addItemChangeListener, broadcast, getActiveItem, getGroupCollapsedLeftIcon, getGroupCollapsedRightIcon, getGroupDisabledLeftIcon, getGroupDisabledRightIcon, getGroupExpandedLeftIcon, getGroupExpandedRightIcon, getItem, getItemChangeListeners, getItemDisabledLeftIcon, getItemDisabledRightIcon, getItemLeftIcon, getItemRightIcon, getSubmittedActiveItem, getTopGroupCollapsedLeftIcon, getTopGroupCollapsedRightIcon, getTopGroupDisabledLeftIcon, getTopGroupDisabledRightIcon, getTopGroupExpandedLeftIcon, getTopGroupExpandedRightIcon, getTopItemDisabledLeftIcon, getTopItemDisabledRightIcon, getTopItemLeftIcon, getTopItemRightIcon, getValue, isImmediate, processDecodes, queueEvent, removeItemChangeListener, setActiveItem, setEventPhase, setGroupCollapsedLeftIcon, setGroupCollapsedRightIcon, setGroupDisabledLeftIcon, setGroupDisabledRightIcon, setGroupExpandedLeftIcon, setGroupExpandedRightIcon, setImmediate, setItemDisabledLeftIcon, setItemDisabledRightIcon, setItemLeftIcon, setItemRightIcon, setSubmittedActiveItem, setTopGroupCollapsedLeftIcon, setTopGroupCollapsedRightIcon, setTopGroupDisabledLeftIcon, setTopGroupDisabledRightIcon, setTopGroupExpandedLeftIcon, setTopGroupExpandedRightIcon, setTopItemDisabledLeftIcon, setTopItemDisabledRightIcon, setTopItemLeftIcon, setTopItemRightIcon, setValue, setValueExpression`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIPanelMenu

    public UIPanelMenu()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractPanelMenu`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isBubbleSelection

    public boolean isBubbleSelection()

  Description copied from class: `AbstractPanelMenu`
  If true (default), selection of any item of group will cause selection of groups - predecessors - in the hierarchy. If false, only given item is selected.

  Specified by:
    `isBubbleSelection` in class `AbstractPanelMenu`

### setBubbleSelection

    public void setBubbleSelection(boolean bubbleSelection)

### getCollapseEvent

    public String getCollapseEvent()

  Description copied from class: `AbstractPanelMenu`
  The mouse event used for collapsing.

  Specified by:
    `getCollapseEvent` in class `AbstractPanelMenu`

### setCollapseEvent

    public void setCollapseEvent(String collapseEvent)

### isDisabled

    public boolean isDisabled()

  Description copied from class: `AbstractPanelMenu`
  Disables all panel menu items and groups.

  Specified by:
    `isDisabled` in class `AbstractPanelMenu`

### setDisabled

    public void setDisabled(boolean disabled)

### getExpandEvent

    public String getExpandEvent()

  Description copied from class: `AbstractPanelMenu`
  The mouse event used for expansion.

  Specified by:
    `getExpandEvent` in class `AbstractPanelMenu`

### setExpandEvent

    public void setExpandEvent(String expandEvent)

### isExpandSingle

    public boolean isExpandSingle()

  Description copied from class: `AbstractPanelMenu`
  If true (default), only one group can be expanded at the time. If false, many groups can be expanded.

  Specified by:
    `isExpandSingle` in class `AbstractPanelMenu`

### setExpandSingle

    public void setExpandSingle(boolean expandSingle)

### getGroupClass

    public String getGroupClass()

  Description copied from class: `AbstractPanelMenu`
  Space-separated list of CSS style class(es) to be applied to panel menu groups

  Specified by:
    `getGroupClass` in class `AbstractPanelMenu`

### setGroupClass

    public void setGroupClass(String groupClass)

### getGroupDisabledClass

    public String getGroupDisabledClass()

  Description copied from class: `AbstractPanelMenu`
  Space-separated list of CSS style class(es) to be applied to disabled panel menu groups

  Specified by:
    `getGroupDisabledClass` in class `AbstractPanelMenu`

### setGroupDisabledClass

    public void setGroupDisabledClass(String groupDisabledClass)

### getGroupMode

    public org.richfaces.PanelMenuMode getGroupMode()

  Description copied from class: `AbstractPanelMenu`
  Mode used for expanding/collapsing groups: client (default), ajax, server

  Specified by:
    `getGroupMode` in class `AbstractPanelMenu`

### setGroupMode

    public void setGroupMode(org.richfaces.PanelMenuMode groupMode)

### getItemChangeListener

    public javax.el.MethodExpression getItemChangeListener()

  Description copied from class: `AbstractPanelMenu`
  MethodExpression representing an panel menu item selection method that will be notified when the panel menu item is selected. The expression must evaluate to a public method that takes an ItemChangeEvent parameter, with a return type of void, or to a public method that takes no arguments with a return type of void. In the latter case, the method has no way of easily knowing where the event came from, but this can be useful in cases where a notification is needed that "some action happened".

  Specified by:
    `getItemChangeListener` in class `AbstractPanelMenu`

### setItemChangeListener

    public void setItemChangeListener(javax.el.MethodExpression itemChangeListener)

### getItemClass

    public String getItemClass()

  Description copied from class: `AbstractPanelMenu`
  Space-separated list of CSS style class(es) to be applied to the panel menu items.

  Specified by:
    `getItemClass` in class `AbstractPanelMenu`

### setItemClass

    public void setItemClass(String itemClass)

### getItemDisabledClass

    public String getItemDisabledClass()

  Description copied from class: `AbstractPanelMenu`
  Space-separated list of CSS style class(es) to be applied to disables panel menu items.

  Specified by:
    `getItemDisabledClass` in class `AbstractPanelMenu`

### setItemDisabledClass

    public void setItemDisabledClass(String itemDisabledClass)

### getItemMode

    public org.richfaces.PanelMenuMode getItemMode()

  Description copied from class: `AbstractPanelMenu`
  The mode user for selecting items: client, ajax (default), server

  Specified by:
    `getItemMode` in class `AbstractPanelMenu`

### setItemMode

    public void setItemMode(org.richfaces.PanelMenuMode itemMode)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractPanelMenu`

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractPanelMenu`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractPanelMenu`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractPanelMenu`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractPanelMenu`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractPanelMenu`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractPanelMenu`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in class `AbstractPanelMenu`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in class `AbstractPanelMenu`

### setStyleClass

    public void setStyleClass(String styleClass)

### getTopGroupClass

    public String getTopGroupClass()

  Description copied from class: `AbstractPanelMenu`
  Space-separated list of CSS style class(es) to be applied to top-level panel menu groups

  Specified by:
    `getTopGroupClass` in class `AbstractPanelMenu`

### setTopGroupClass

    public void setTopGroupClass(String topGroupClass)

### getTopGroupDisabledClass

    public String getTopGroupDisabledClass()

  Description copied from class: `AbstractPanelMenu`
  Space-separated list of CSS style class(es) to be applied to disabled top-level panel menu groups

  Specified by:
    `getTopGroupDisabledClass` in class `AbstractPanelMenu`

### setTopGroupDisabledClass

    public void setTopGroupDisabledClass(String topGroupDisabledClass)

### getTopItemClass

    public String getTopItemClass()

  Description copied from class: `AbstractPanelMenu`
  Space-separated list of CSS style class(es) to be applied to top-level panel menu items

  Specified by:
    `getTopItemClass` in class `AbstractPanelMenu`

### setTopItemClass

    public void setTopItemClass(String topItemClass)

### getTopItemDisabledClass

    public String getTopItemDisabledClass()

  Description copied from class: `AbstractPanelMenu`
  Space-separated list of CSS style class(es) to be applied to disabled top-level panel menu items

  Specified by:
    `getTopItemDisabledClass` in class `AbstractPanelMenu`

### setTopItemDisabledClass

    public void setTopItemDisabledClass(String topItemDisabledClass)

### getWidth

    public String getWidth()

  Description copied from class: `AbstractPanelMenu`
  The width of the panel menu in pixels.

  Specified by:
    `getWidth` in class `AbstractPanelMenu`

### setWidth

    public void setWidth(String width)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.